Package ru.bitel.bgbilling.modules.megogo.server.event

# Class MegogoCreateUserEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.megogo.server.event.MegogoCreateUserEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class MegogoCreateUserEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MegogoCreateUserEvent()` |
  `MegogoCreateUserEvent​(int moduleId, int contractId, int userId, MegogoContractCredentials credentials)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `MegogoContractCredentials` | `getMegogoContractCredentials()` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegogoCreateUserEvent

    public MegogoCreateUserEvent()

  - ### MegogoCreateUserEvent

    public MegogoCreateUserEvent​(int moduleId, int contractId, int userId, MegogoContractCredentials credentials)

- ## Method Details

  - ### getMegogoContractCredentials

    public MegogoContractCredentials getMegogoContractCredentials()